import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CalloutLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private c2;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private c5;
    get xMemberPath(): string;
    set xMemberPath(a: string);
    private c6;
    get yMemberPath(): string;
    set yMemberPath(a: string);
    private c1;
    get keyMemberPath(): string;
    set keyMemberPath(a: string);
    private b3;
    get isCalloutOffsettingEnabled(): boolean;
    set isCalloutOffsettingEnabled(a: boolean);
    private c0;
    get contentMemberPath(): string;
    set contentMemberPath(a: string);
    private c3;
    get targetSeriesRef(): string;
    set targetSeriesRef(a: string);
    private cz;
    get collisionChannel(): string;
    set collisionChannel(a: string);
    private b2;
    get isAutoCalloutBehaviorEnabled(): boolean;
    set isAutoCalloutBehaviorEnabled(a: boolean);
    private b5;
    get useValueForAutoCalloutLabels(): boolean;
    set useValueForAutoCalloutLabels(a: boolean);
    private b4;
    get isCustomCalloutStyleEnabled(): boolean;
    set isCustomCalloutStyleEnabled(a: boolean);
    private cm;
    get autoCalloutLabelPrecision(): number;
    set autoCalloutLabelPrecision(a: number);
    private cy;
    get calloutTextColor(): string;
    set calloutTextColor(a: string);
    private cq;
    get calloutBackground(): string;
    set calloutBackground(a: string);
    private cn;
    get calloutInterpolatedValuePrecision(): number;
    set calloutInterpolatedValuePrecision(a: number);
    private cv;
    get calloutOutline(): string;
    set calloutOutline(a: string);
    private cu;
    get calloutLeaderBrush(): string;
    set calloutLeaderBrush(a: string);
    private cb;
    get calloutPaddingLeft(): number;
    set calloutPaddingLeft(a: number);
    private cd;
    get calloutPaddingTop(): number;
    set calloutPaddingTop(a: number);
    private cc;
    get calloutPaddingRight(): number;
    set calloutPaddingRight(a: number);
    private ca;
    get calloutPaddingBottom(): number;
    set calloutPaddingBottom(a: number);
    private cr;
    get calloutCollisionMode(): string;
    set calloutCollisionMode(a: string);
    private ce;
    get calloutPositionPadding(): number;
    set calloutPositionPadding(a: number);
    private cf;
    get calloutStrokeThickness(): number;
    set calloutStrokeThickness(a: number);
    private c4;
    get textStyle(): string;
    set textStyle(a: string);
    private cx;
    get calloutStyleUpdatingRef(): string;
    set calloutStyleUpdatingRef(a: string);
    private cs;
    get calloutContentUpdatingRef(): string;
    set calloutContentUpdatingRef(a: string);
    private ct;
    get calloutLabelUpdatingRef(): string;
    set calloutLabelUpdatingRef(a: string);
    private cw;
    get calloutSeriesSelectingRef(): string;
    set calloutSeriesSelectingRef(a: string);
}
